Bug 187190

Summary: [PATCH] graphics/xli pkg-plist missing
Product: Ports & Packages Reporter: Zsolt Udvari <uzsolt>
Component: Individual Port(s)Assignee: Ruslan Makhmatkhanov <rm>
Status: Closed FIXED    
Severity: Affects Only Me CC: uzsolt
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
pkg-plist none

Description Zsolt Udvari 2014-03-02 08:50:01 UTC
graphics/xli doesn't have pkg-plist and creates empty packages.
Comment 1 Edwin Groothuis freebsd_committer 2014-03-02 11:28:02 UTC
Maintainer of graphics/xli,

Please note that PR ports/187190 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187190

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-02 11:28:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2014-03-04 21:04:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2014-03-04 21:04:45 UTC
Author: rm
Date: Tue Mar  4 21:04:38 2014
New Revision: 347072
URL: http://svnweb.freebsd.org/changeset/ports/347072
QAT: https://qat.redports.org/buildarchive/r347072/

Log:
  graphics/xli: add PLIST_FILES to package something
  
  - add PLIST_FILES to package something
  - bump PORTREVISION
  - use modern LIB_DEPENDS notation, while here
  
  PR:	187190
  Submitted by:	Zsolt Udvari <udvzsolt@gmail.com>
  Approved by:	portmgr (blanket)

Modified:
  head/graphics/xli/Makefile

Modified: head/graphics/xli/Makefile
==============================================================================
--- head/graphics/xli/Makefile	Tue Mar  4 20:52:09 2014	(r347071)
+++ head/graphics/xli/Makefile	Tue Mar  4 21:04:38 2014	(r347072)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xli
 PORTVERSION=	1.17.0
-PORTREVISION=	13
+PORTREVISION=	14
 CATEGORIES=	graphics
 MASTER_SITES=	${MASTER_SITE_DEBIAN}
 MASTER_SITE_SUBDIR=	pool/main/x/${PORTNAME}
@@ -12,9 +12,10 @@ DISTNAME=	xli_${PORTVERSION}+${XLI_SNAPV
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Utilities to display images in X11
 
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg
+
 CONFLICTS_INSTALL=	xloadimage-*
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
-		jpeg.11:${PORTSDIR}/graphics/jpeg
 
 USES=		imake desthack
 USE_XORG=	xi
@@ -22,4 +23,9 @@ WRKSRC=		${WRKDIR}/xli-${XLI_SNAPVER}
 
 XLI_SNAPVER=	2006-11-10
 
+PLIST_FILES=	bin/xli \
+		bin/xlito \
+		man/man1/xli.1.gz \
+		man/man1/xlito.1.gz
+
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2014-03-04 21:05:22 UTC
State Changed
From-To: feedback->closed

Committed, thank you! The package was broken, so not waiting 
maintainer's approval.